@import 'travel/config';

header {
  margin-bottom: 250px;

  * {
    z-index: 1;
  }

  .search-flights {
    background: $primary;

    &__form {
      transform: translateY(60%);
    }
  }
}

main {
  padding-bottom: 100px;

  .search-flights__results--empty,
  .search-flights__results--loading {
    color: lighten($text-primary, 20%);

    .icon {
      display: block;
      margin: 1.3rem auto auto;

      .material-icons {
        font-size: 3em;
      }
    }
  }

  .search-flights__results--loading {
    .icon .material-icons {
      animation: planeHover 3s infinite ease-in-out;
    }
  }
}

@keyframes planeHover {
  0% {
    opacity: 0;
    transform: translateX(-75px) rotate(90deg);
  }
  20% {
    opacity: 1;
  }
  80% {
    opacity: 1;
  }
  100% {
    opacity: 0;
    transform: translateX(75px) rotate(90deg);
  }
}
